MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002075MPDOtherpublic2009-02-18 19:482010-06-24 02:41
Reportermagcius 
Assigned Tocirrus 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Versiongit 
Target Version0.15Fixed in Version 
Summary0002075: MPD sometimes reports it is playing a different song than the one actually playing
DescriptionSometimes MPD will sometimes report (through currentsong) the current song incorrectly: the song that is playing is different than the one reported by the currentsong command
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003210)
Avuton Olrich (administrator)
2009-02-18 21:55

This occurs with latest git, right? Can you give a git hash and possibly some more information on how to reproduce this?
(0003217)
magcius (reporter)
2009-02-19 18:22

(gdb) p pc
$1 = {buffered_before_play = 205, thread = 0x8682138, notify = {mutex = 0x8697fb8, cond = 0x8386be0, pending = false},
  command = PLAYER_COMMAND_NONE, state = PLAYER_STATE_PAUSE, error = PLAYER_ERROR_NOERROR, bit_rate = 224, audio_format = {
    sample_rate = 44100, bits = 24 '\030', channels = 2 '\002'}, total_time = 182.987, elapsed_time = 74.1090012, next_song = 0x84b9b40,
  errored_song = 0x0, seek_where = 0, cross_fade_seconds = 0, software_volume = 1024, total_play_time = 25415.544917756368}
(gdb) p dc
$2 = {thread = 0x86841c0, notify = {mutex = 0x8677b40, cond = 0x8386ac0, pending = false}, state = DECODE_STATE_DECODE,
  command = DECODE_COMMAND_NONE, quit = false, seek_error = false, seekable = true, seek_where = 0, in_audio_format = {
    sample_rate = 44100, bits = 24 '\030', channels = 2 '\002'}, out_audio_format = {sample_rate = 44100, bits = 24 '\030',
    channels = 2 '\002'}, current_song = 0x842ca20, next_song = 0x842ca20, total_time = 182.987}
(gdb)
(0003218)
magcius (reporter)
2009-02-19 18:23

commit 46c15e4ab3aa4b0a973345afe704e80c2e8122e9
(0003219)
cirrus (administrator)
2009-02-20 10:26

There is information missing:

dc, pc, *dc.next_song, *dc.current_song, playlist, *pc.next_song (you printed only the first two)

And please also tell me which song is really playing, and which one mpc says is playing (both with their respective positions within the playlist)
(0003220)
magcius (reporter)
2009-02-20 16:10
edited on: 2009-02-20 16:12

(gdb) p dc
$51 = {thread = 0x86841c0, notify = {mutex = 0x8677b40, cond = 0x8386ac0,
    pending = false}, state = DECODE_STATE_DECODE,
  command = DECODE_COMMAND_NONE, quit = false, seek_error = false,
  seekable = true, seek_where = 0, in_audio_format = {sample_rate = 44100,
    bits = 24 '\030', channels = 2 '\002'}, out_audio_format = {
    sample_rate = 44100, bits = 24 '\030', channels = 2 '\002'},
  current_song = 0x8522e78, next_song = 0x8522e78, total_time = 199.971375}
(gdb) p pc
$52 = {buffered_before_play = 205, thread = 0x8682138, notify = {
    mutex = 0x8697fb8, cond = 0x8386be0, pending = false},
  command = PLAYER_COMMAND_NONE, state = PLAYER_STATE_PAUSE,
  error = PLAYER_ERROR_NOERROR, bit_rate = 256, audio_format = {
    sample_rate = 44100, bits = 24 '\030', channels = 2 '\002'},
  total_time = 199.971375, elapsed_time = 19.0429993, next_song = 0x83cd558,
  errored_song = 0x0, seek_where = 0, cross_fade_seconds = 0,
  software_volume = 1024, total_play_time = 52233.329857176475}
(gdb) p *pc.next_song
$53 = {tag = 0x83cd588, parent = 0x83cd4a8, mtime = 1233785665, url = "03-O"}
(gdb) p *dc.next_song
$54 = {tag = 0x8522ea8, parent = 0x8522e00, mtime = 1233997527, url = "1-01"}
(gdb) p *dc.current_song
$55 = {tag = 0x8522ea8, parent = 0x8522e00, mtime = 1233997527, url = "1-01"}
(gdb) p g_playlist.current
$56 = 94
(gdb) p g_playlist.queued
$57 = 95
(gdb) p (char*)dc.current_song->url
$58 = 0x8522e84 "1-01 Birdhouse In Your Soul.mp3"
(gdb) p (char*)pc.next_song->url
$59 = 0x83cd564 "03-Ob-La-Di, Ob-La-Da.mp3"
(gdb) p *g_playlist.queue.items[g_playlist.queue.order[93]].song
$61 = {tag = 0x8522ea8, parent = 0x8522e00, mtime = 1233997527, url = "1-01"}
(gdb) p *g_playlist.queue.items[g_playlist.queue.order[94]].song
$62 = {tag = 0x83880f0, parent = 0x838b820, mtime = 1209931383, url = "The "}
(gdb) p *g_playlist.queue.items[g_playlist.queue.order[95]].song
$63 = {tag = 0x83cd588, parent = 0x83cd4a8, mtime = 1233785665, url = "03-O"}
(gdb) p (char*)g_playlist.queue.items[g_playlist.queue.order[94]].song->url
$64 = 0x83aa24c "The Wonders - That Thing You Do.mp3"


The current song should be 93 (Birdhouse In Your Soul), the next should be 94 (The Wonders - That Thing You Do), and after that should be 95 (Ob-Li-Da)

(0003448)
magcius (reporter)
2009-03-24 15:07

This seems like it only occurs when random mode is on (I haven't extensively tested), so I'm just adding a suspicion here.
(0003779)
cirrus (administrator)
2009-05-06 16:22

Did you modify the playlist shortly before that happened? (shuffle, switch random on/off, move songs around, ...)
(0005715)
Avuton Olrich (administrator)
2010-05-29 06:40

Please give feedback or this bug should be closed in 14 days.
(0005817)
Avuton Olrich (administrator)
2010-06-16 01:50

Please reopen with the required feedback.

- Issue History
Date Modified Username Field Change
2009-02-18 19:48 magcius New Issue
2009-02-18 19:48 magcius Status new => assigned
2009-02-18 19:48 magcius Assigned To => cirrus
2009-02-18 21:55 Avuton Olrich Note Added: 0003210
2009-02-19 18:22 magcius Note Added: 0003217
2009-02-19 18:23 magcius Note Added: 0003218
2009-02-20 10:26 cirrus Note Added: 0003219
2009-02-20 16:10 magcius Note Added: 0003220
2009-02-20 16:12 magcius Note Edited: 0003220
2009-03-24 15:07 magcius Note Added: 0003448
2009-04-28 18:02 cirrus Target Version => 0.15
2009-05-06 16:22 cirrus Note Added: 0003779
2010-05-29 06:40 Avuton Olrich Note Added: 0005715
2010-05-29 06:40 Avuton Olrich Status assigned => feedback
2010-06-16 01:50 Avuton Olrich Note Added: 0005817
2010-06-16 01:50 Avuton Olrich Status feedback => resolved
2010-06-16 01:50 Avuton Olrich Resolution open => suspended
2010-06-24 02:41 Avuton Olrich Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker